case $1 in
start)
	
	ps ax | grep -i hpasmxld | grep -v grep > /dev/null

	if [ $? = 0 ]; then
		echo "ERROR: hpasmd appears to already be running." 
		echo "Please shut it down before restarting."
		echo ""
		echo "Note: hpasmd may take a few minutes to either startup"
		echo "or shutdown"
		exit 1
	fi

	kldstat | grep ipmi.ko > /dev/null

	if [ $? != 0 ]; then
		echo "Starting the Open IPMI driver"
		kldload /boot/kernel/ipmi.ko
	fi

	echo "Starting hpasmd"

	/usr/sbin/hpasmxld -f /dev/ipmi0
	sleep 3
	;;
stop)
	echo "Stopping hpasmd"
	killall -9 hpasmxld 2> /dev/null
	;;
*)
	echo "usage: hpasm.sh [ start | stop ]"

esac
